<div class="page-wrapper _overflow-hidden">
    <div class="page user-view-page _normal-container">
        <zeb-page-header
            page-title="$ctrl.currentTitle">
        </zeb-page-header>
        <div class="ui-section">
            <zeb-page-subheader
                search-query="$ctrl.sc.query"
                on-search="$ctrl.search()"
                on-reset="$ctrl.reset()">
                <md-button class="md-icon-button gtm-invite-user-button"
                    ng-click="$ctrl.showInviteUsersDialog($event)"
                    ng-if="$ctrl.userHasAnyPermission(['iam:invitations:update'])">
                    <md-icon class="material-icons">person_add</md-icon>
                    <md-tooltip md-direction="bottom">Invite user</md-tooltip>
                </md-button>
                <md-button class="md-primary md-raised _left-icon gtm-new-user-button _small"
                    ng-click="$ctrl.showCreateUserDialog($event)"
                    ng-if="$ctrl.userHasAnyPermission(['iam:users:update'])">
                    <md-icon class="material-icons">add_circle</md-icon>
                    <span class="md-button__text">Create user</span>
                </md-button>
            </zeb-page-subheader>
            <div ng-cloak class="user-view-page__body">
                <article class="article">
                    <md-card class="no-margin-h table-content">
                        <div class="users-table users-table__header">
                            <div class="users-table__row">
                                <div class="users-table__col">ID</div>
                                <div class="users-table__col">Username</div>
                                <div class="users-table__col">Email</div>
                                <div class="users-table__col">Full name</div>
                                <div class="users-table__col">Group</div>
                                <div class="users-table__col">Source</div>
                                <div class="users-table__col _min-size">Registration/ last activity</div>
                                <div class="users-table__col _centered _size-s">
                                    <md-menu md-offset="-15 45" class="status-menu">
                                        <button aria-label="Open menu"
                                            class="status-menu__button"
                                            ng-class="{'_active': $ctrl.sc.status && !$ctrl.filterByStatusInAction, '_disabled': $ctrl.filterByStatusInAction}"
                                            ng-click="$mdMenu.open($event)"
                                            ng-disable="$ctrl.filterByStatusInAction">
                                            <span class="status-menu__button-text">
                                                Status
                                                <md-icon class="material-icons status-menu__button-icon" ng-if="!$ctrl.sc.status">filter_list</md-icon>
                                                <md-icon md-svg-icon="checkedListIcon" ng-if="$ctrl.sc.status" class="material-icons status-menu__button-icon _active"></md-icon>
                                            </span>
                                        </button>
                                        <md-menu-content width="2" class="status-menu__dropdown-wrapper">
                                            <md-menu-item ng-repeat="item in $ctrl.allUserStatuses" class="status-menu__dropdown-list">
                                                <md-button ng-click="$ctrl.changeSelectedStatus(item)" class="status-menu__dropdown-button">
                                                    <span class="status-icon {{item}} status-menu__dropdown-text">{{item || 'all'}}</span>
                                                </md-button>
                                            </md-menu-item>
                                        </md-menu-content>
                                    </md-menu>
                                </div>
                                <div class="users-table__col"></div>
                            </div>
                        </div>
                        <div class="users-table">
                            <div class="users-table__row" ng-repeat="user in $ctrl.sr">
                                <div class="users-table__col" data-title="{{user.username}}">
                                    <profile-photo name="userPhoto" squared="15" ng-model="user.photoUrl" size="34" class="grey-icon desktop-only" label="#{{::user.id}}"></profile-photo>
                                </div>
                                <div class="users-table__col" ng-if="!$ctrl.isTabletSm" data-title="Username">
                                    <span name="userUsername" class="users-table__content">{{user.username}}</span>
                                </div>
                                <div class="users-table__col" data-title="Email" name="userEmail">
                                    <span class="users-table__content">{{user.email}}</span>
                                </div>
                                <div class="users-table__col" data-title="Full name" name="userFirstLastName">
                                    <span class="users-table__content">{{user.firstName}} {{user.lastName}}</span>
                                </div>
                                <div class="users-table__col" data-title="Group">
                                    <span class="users-table__content">{{::user.groups[0].name}}</span>
                                </div>
                                <div class="users-table__col" data-title="Source">
                                    <span class="source-label label black_font">{{::user.source.toLowerCase()}}</span>
                                </div>
                                <div class="users-table__col _min-size" data-title="Registration/ last activity" style="padding-right: 0;">
                                    <div class="users-table__content-wrapper">
                                        <div class="users-table__content-date _block" name="userCreated">{{ ::user.registrationDateTime | date: 'MMM d, y HH:mm' }}</div>
                                        <span class="users-table__content-additional" data-ng-if="user.lastLogin">last login <time name="lastLogin" am-time-ago="user.lastLogin" title="{{ user.lastLogin | amDateFormat: 'dddd, MMMM Do YYYY, h:mm a' }}"></time></span>
                                        <span class="users-table__content-additional" data-ng-if="!user.lastLogin">never logged in</span>
                                    </div>
                                </div>
                                <div class="users-table__col _size-s _centered" data-title="Status">
                                    <span name="status" class="status-label" ng-class="{'text-success': user.status == 'ACTIVE', 'text-error': user.status == 'INACTIVE'}" class="label">{{ user.status.toLowerCase()}}</span>
                                </div>
                                <div class="users-table__col">
                                    <md-menu class="user-menu pull-right" ng-if="$ctrl.userHasAnyPermission(['iam:users:update'])">
                                        <md-button name="userMenu" aria-label="User settings" class="md-icon-button _menu-button"
                                            data-ng-click="$mdMenu.open($event);">
                                            <md-icon class="material-icons">more_vert</md-icon>
                                        </md-button>
                                        <md-menu-content class="user-menu__list" width="2">
                                            <md-menu-item ng-if="$ctrl.userHasAnyPermission(['iam:users:update'])">
                                                <md-button name="userEdit" data-ng-click="$ctrl.showEditProfileDialog($event, user, $index)">
                                                    <span>Edit</span>
                                                </md-button>
                                            </md-menu-item>
                                            <md-menu-item ng-if="$ctrl.userHasAnyPermission(['iam:users:update']) && user.source == 'INTERNAL'">
                                                <md-button name="userChangePassword" data-ng-click="$ctrl.showChangePasswordDialog($event, user, false)">
                                                    <span>Change password</span>
                                                </md-button>
                                            </md-menu-item>
                                        </md-menu-content>
                                    </md-menu>
                                </div>
                            </div>
                            <div class="users-table__row _centered" ng-if="$ctrl.isUsersEmpty">
                                <span id="noData" class="users-table__message">{{ $ctrl.isLoading ? 'Loading...' : 'No users' }}</span>
                            </div>
                        </div>
                        <md-table-pagination id="pagination"
                            class="users-table__footer"
                            zafira-background-theme="pagination"
                            ng-if="!$ctrl.isUsersEmpty"
                            md-limit="$ctrl.sc.pageSize"
                            md-limit-options=false
                            md-page="$ctrl.sc.page"
                            md-total="{{$ctrl.totalResults}}"
                            md-page-select=false
                            md-boundary-links=true
                            md-on-paginate="$ctrl.search"></md-table-pagination>
                    </md-card>
                </article>
            </div>
        </div>
    </div>
</div>
